summaryrefslogtreecommitdiffstats
path: root/update_jdn.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-12-03 12:15:06 +0200
committerHolger Levsen <holger@layer-acht.org>2015-12-03 12:15:06 +0200
commitd52f716c9aa3209d43c6eeb4e276d6dad95ba869 (patch)
tree77f17e5548504851881af6af68dbdbb6d15086d9 /update_jdn.sh
parentab94953cd7ccee564a41180ecd67b70cf422b5e2 (diff)
downloadjenkins.debian.net-d52f716c9aa3209d43c6eeb4e276d6dad95ba869.tar.xz
reproducible: configure mock on pb-build3 so we can build rpms
Diffstat (limited to 'update_jdn.sh')
-rwxr-xr-xupdate_jdn.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/update_jdn.sh b/update_jdn.sh
index d474ca60..40605a3d 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -162,7 +162,7 @@ if [ -f /etc/debian_version ] ; then
bpi0|hb0|profitbricks-build5-amd64|profitbricks-build6-amd64) DEBS="$DEBS ntpdate" ;;
*) ;;
esac
- # needed to run coreboot/openwrt/netbsd jobs
+ # needed to run coreboot/openwrt/netbsd/fedora jobs
case $HOSTNAME in
profitbricks-build3-amd64) DEBS="$DEBS
bison
@@ -183,6 +183,7 @@ if [ -f /etc/debian_version ] ; then
kgb-client
m4
make
+ mock
python3-yaml
subversion
sysvinit-core
@@ -237,7 +238,6 @@ if [ -f /etc/debian_version ] ; then
libvpx1
libxslt1-dev
linux-image-amd64
- mock
moreutils
mr
mtr-tiny
@@ -308,6 +308,16 @@ if [ -f /etc/debian_version ] ; then
fi
#
+# prepare mock to build rpms
+#
+if [ "$HOSTNAME" = "profitbricks-build3-amd64" ] ; then
+ if ! grep mock /etc/group ; then
+ groupadd --system mock
+ usermod -a -G mock jenkins
+ fi
+fi
+
+#
# deploy package configuration in /etc and /usr/local/
#
cd $BASEDIR